Bug 1312680 - increase shared_buffers in postgresql.conf to 256MB [NEEDINFO]
increase shared_buffers in postgresql.conf to 256MB
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Performance (Show other bugs)
6.1.7
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-28 13:48 EST by Pradeep Kumar Surisetty
Modified: 2017-09-21 13:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkearney: needinfo? (mmccune)


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kumar Surisetty 2016-02-28 13:48:04 EST
Description of problem:

The shared_buffers configuration parameter  determines how much memory is dedicated to PostgreSQL to use for caching data. 

 By default satelitte 6.1 use lower value (32MB). Its set to lower because of other platforms.   Recommended value is between 15% to25% of memory.  

Ex  
Content-host registration at scale needs th5s. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Chris Duryee 2016-03-07 20:17:09 EST
Is there an easy way to reproduce the issue that shared_buffers fixes? I don't know if giving shared_buffers 2.5-4GB would impact other components.
Comment 2 Pradeep Kumar Surisetty 2016-04-18 07:40:30 EDT
This need to run on scale to reproduce. Setting up infrastructure to register 5000-10000 systems to satellite/capsule. Keep you updates.
Comment 3 Chris Duryee 2016-06-01 11:08:33 EDT
Per email thread, lets do 256M as default for shared_buffers.
Comment 4 Pradeep Kumar Surisetty 2016-06-01 11:26:44 EDT
Based on scale limit, we could increase it to 512M if needed
Comment 6 Rich Jerrido 2016-06-01 13:57:14 EDT
For Satellite 6.1, we increased the minimum system requirements to 12GB to
accommodate (the removed in 6.2) elasticsearch. I suspect we'll have the required headroom to make this change without updating the system requirements. 

Would still add a release note or doc somewhere regarding the change.
Comment 7 Pradeep Kumar Surisetty 2016-10-31 02:26:34 EDT
Can we change this in 6.3/6.2?
Comment 8 Pradeep Kumar Surisetty 2017-07-06 23:27:19 EDT
shared_buffer needs to be increased for scale runs
can we make this change as default config

Note You need to log in before you can comment on or make changes to this bug.